Subject: Re: system
From: [email-masked]
To: Bernardet Karim <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Jul 2002 03:32:11 -0400

Hello,

The "system" call works through the use of /bin/sh (without the absolute path 
specification), so "sh" must be in your path for "system" to work.  Someone 
please correct me if I'm wrong.

If this is in fact the problem, then you must have copied cygwin1.dll to 
someplace in your path and not add /bin to your path.  At least on the Cygwin 
installation I'm using at the moment, -mno-cygwin will result in the printf-
only behavior.

I hope this helps.

Jason Alonso

Quoting Bernardet Karim <[email-masked]>:

> Hello  !
> 
> When I compile the code below under cygwin, all is ok when i run it in =
> the
> cygwin shell, but if i run it in a MSDOS console I just have  the result =
> of
> the printf ....
> 
> ....
> {
> system("c:/tempo/cygwin/bin/ls c:/tempo ");
> printf("c:/tempo/cygwin/bin/ls c:/tempo ");
> }
> 
> Thanks for your help ...
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/